com.mysql.cj.xdevapi

## Enum FilterParams.RowLockOptions

- java.lang.Object
- - java.lang.Enum<FilterParams.RowLockOptions>
  - - com.mysql.cj.xdevapi.FilterParams.RowLockOptions

All Implemented Interfaces:
  Serializable, Comparable<FilterParams.RowLockOptions>

Enclosing interface:
  FilterParams

    public static enum FilterParams.RowLockOptions
    extends Enum<FilterParams.RowLockOptions>

Options that define the behavior while retrieving locked rows.

### Enum Constant Summary

Enum Constants
`NOWAIT` Do not wait to acquire row lock, fail with an error if a requested row is locked.
`SKIP_LOCKED` Do not wait to acquire a row lock, remove locked rows from the result set.

### Field Summary

Fields
`private int` `rowLockOption`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `asNumber()` Get the row lock option id.
`static FilterParams.RowLockOptions` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FilterParams.RowLockOptions[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NOWAIT

    public static final FilterParams.RowLockOptions NOWAIT

Do not wait to acquire row lock, fail with an error if a requested row is locked.

#### SKIP_LOCKED

    public static final FilterParams.RowLockOptions SKIP_LOCKED

Do not wait to acquire a row lock, remove locked rows from the result set.

### Field Detail

#### rowLockOption

    private int rowLockOption

### Method Detail

#### values

    public static FilterParams.RowLockOptions[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FilterParams.RowLockOptions c : FilterParams.RowLockOptions.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FilterParams.RowLockOptions valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### asNumber

    public int asNumber()

Get the row lock option id.

Returns:
  row lock option id

Copyright © 2016, 2025, Oracle and/or its affiliates.